## sugar-moon-activity 11

=== debian/changelog ===
sugar-moon-activity (11-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove 0.88 packages from Build-Depends field (Closes: #676039).
  * Convert to dh_python2 (Closes: #617099).

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 09 Jul 2013 22:15:22 +0200

sugar-moon-activity (11-1) unstable; urgency=low

  * Initial release. Closes: #593882.

 -- Ishan Bansal <ishan@seeta.in>  Wed, 25 Aug 2010 23:11:37 +0530
