=== debian/control ===
Source: sugar-moon-activity
Section: x11
Priority: optional
Maintainer: Debian OLPC <debian-olpc-devel@lists.alioth.debian.org>
Uploaders: Ishan Bansal <ishan@seeta.in>,
 Luke Faraone <lfaraone@debian.org>
Build-Depends: devscripts (>= 2.10.7~),
 dh-buildinfo,
 debhelper (>= 6),
 cdbs (>= 0.4.90~),
 python (>= 2.6.6-3~),
 python-sugar-0.88,
 python-sugar-toolkit-0.88,
 unzip
Standards-Version: 3.9.1.0
Vcs-Git: git://git.debian.org/git/collab-maint/sugar-moon-activity.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/sugar-moon-activity.git;a=summary
Homepage: http://wiki.sugarlabs.org/go/Activities/Moon

Package: sugar-moon-activity
Architecture: all
Depends: ${shlibs:Depends}, ${python:Depends}, ${cdbs:Depends}, ${misc:Depends} 
Recommends: sugar
Provides: ${python:Provides}
Description: Sugar Moon Activity
 Sugar is a graphical user interface aimed at children.
 .
 Originating as intregral part of the OLPC "XO" a.k.a. the $100 laptop,
 Sugar has since grown into a more widely usable low-resource desktop
 environment for kids
 .
 This package contains the moon activity. Moon is a simple Lunar phase
 activity for Sugar, including upcoming Lunar eclipse information and
 effects.
