=== debian/watch ===
# run the "uscan" command to check for upstream updates and more.
version=3
# REPLACE WITH THE PROPER USCAN-ized URL TO UPSTREAM
http://download.sugarlabs.org/sources/honey/Moon/Moon-(.*)\.tar\.bz2.
